CreateSBOMExport
Creates an SBOM export.
curl --request POST \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/sbom-export \
--header 'Content-Type: application/json' \
--data '
{
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": [
"<string>"
]
},
"tenant_meta": {}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/sbom-export"
payload = {
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": ["<string>"]
},
"tenant_meta": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
meta: {
name: '<string>',
annotations: {},
description: '<string>',
index_data: {},
parent_kind: '<string>',
parent_uuid: '<string>',
tags: ['<string>']
},
tenant_meta: {}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/sbom-export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"component_type": "COMPONENT_TYPE_UNSPECIFIED",
"data": "<string>",
"export_parameters": {
"package_version_uuids": [
{}
],
"project_name": "<string>",
"project_uuid": "<string>",
"repository_version": "<string>"
},
"format": "FORMAT_UNSPECIFIED",
"hide_private_components": true,
"include_test_dependencies": true,
"kind": "SBOM_KIND_UNSPECIFIED"
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
This is the request to the SBOM export API. It consists of the request resource kind. The UUID is the UUID of the resource. The output is the format to export the SBOM. The SBOM kind is the kind of the SBOM requested by the user. Currently we support only CycloneDx. The meta parent_kind can take one of two values - PackageVersion or RepositoryVersion. The Meta parent_uuid corresponds to the parent UUID of the parent kind.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
The internal specification of the object.
Show child attributes
Show child attributes
SBOM are associated with a tenant and tenant information must be provided.
Response
A successful response.
This is the request to the SBOM export API. It consists of the request resource kind. The UUID is the UUID of the resource. The output is the format to export the SBOM. The SBOM kind is the kind of the SBOM requested by the user. Currently we support only CycloneDx. The meta parent_kind can take one of two values - PackageVersion or RepositoryVersion. The Meta parent_uuid corresponds to the parent UUID of the parent kind.
Was this page helpful?
